#include <bits/stdc++.h>
#define MAXN 100000
using namespace std;

int a[MAXN];
//int res[MAXN];
int res;


int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    int n, m;
    cin >> n >> m;
    for(int i = 0; i < n; i++)
    {
        cin >> a[i];
    }
    for(int i = 0; i < m; i++)
    {
        int x, y;
        cin >> x >> y;
        x--;
        y--;
        if(a[x] > 0 && a[y] > 0)
        {
            res/*[x]*/ += a[x];
            res/*[y]*/ += a[y];
        }
        else if(a[x] < 0 && a[y] < 0)
        {
            res/*[x]*/ += a[x];
            res/*[y]*/ += a[y];
        }
        else if(a[x] > 0 && a[y] < 0)
        {
            if(a[x] > -a[y])
            {
                res += a[x];
                res -= -a[y];
            }
            else
            {
                res += -a[y];
                res -= a[x];
            }
        }
        else if(a[x] < 0 && a[y] > 0)
        {
            if(-a[x] > a[y])
            {
                res += -a[x];
                res -= a[y];
            }
            else
            {
                res += a[y];
                res -= -a[x];
            }
        }
        else if(a[x] == 0 && a[y] == 0)
        {

        }
        else if(a[x] != 0)
        {
            res += abs(a[x]);
        }
        else
        {
            res += abs(a[y]);
        }
    }

    cout << res << endl;

    return 0;
}